Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177052 - ntpd dies with the error "Exiting: out of memory!"
Summary: ntpd dies with the error "Exiting: out of memory!"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ntp
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Miroslav Lichvar
QA Contact: Brian Brock
URL:
Whiteboard:
: 156939 179914 (view as bug list)
Depends On: 158541
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-01-05 19:42 UTC by Neil Horman
Modified: 2014-01-21 22:53 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0393
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 18:25:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0393 normal SHIPPED_LIVE Low: ntp security update 2006-08-10 04:00:00 UTC

Comment 1 R P Herrold 2006-01-06 16:26:50 UTC
I can reproduce this as well -- ask if you need details

Comment 2 Petr Raszyk 2006-01-09 14:17:39 UTC
Thanks,
I need details.

FYI:
I can not set setrlimit() on x86_64 (only on i386). There are traces:

...
WARNING: try to set setrlimit(RLIMIT_MEMLOCK,64*1024*1024)
service_main(): 798: errno=1: WARNING: Cannot set RLIMIT_MEMLOCK 64*1024*1024
...
...  
service_main(): 803: errno=1: WARNING: Cannot set RLIMIT_MEMLOCK 32*1024*1024
...



Comment 3 Petr Raszyk 2006-01-09 14:22:02 UTC
started as 'root':  errno == 1 == EPERM

setrlimit():
       EPERM  A non-superuser tries to use setrlimit() to increase the soft or
              hard limit above the current hard limit, or a superuser tries to
              increase RLIMIT_NOFILE above the current kernel maximum.

Comment 4 Petr Raszyk 2006-01-09 14:27:03 UTC
If I try getrlimit():

+PID=17388: cfr-ntpd.PRO: ntpd.c: service_main(): 785: errno=107: WARNING:
getrlimit(): .rlim_cur=>32768< .rlim_max=>32768<


Comment 8 Miroslav Lichvar 2006-03-21 12:44:31 UTC
*** Bug 156939 has been marked as a duplicate of this bug. ***

Comment 11 Bob Johnson 2006-04-11 16:31:24 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.

Comment 13 Miroslav Lichvar 2006-05-04 07:31:36 UTC
*** Bug 179914 has been marked as a duplicate of this bug. ***

Comment 18 Red Hat Bugzilla 2006-08-10 18:25:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0393.html



Note You need to log in before you can comment on or make changes to this bug.